For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Inventory Levels
      • GETGet All Inventory Levels Grouped By Fulfillment Center
      • GETGet Inventory
      • GETGet All Inventory Levels
      • GETGet Inventory Levels Grouped By Fulfillment Center
      • GETGet Inventory Levels Grouped By Lot
      • GETGet All Inventories
      • GETGet All Inventory Levels Grouped By Lot
LogoLogo
API ReferenceInventory

Get Inventory Levels Grouped By Fulfillment Center

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/inventory-level/:inventoryId/locations
GET
/2026-01/inventory-level/:inventoryId/locations
$curl https://sandbox-api.shipbob.com/2026-01/inventory-level/1/locations \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_id": 0,
3 "locations": [
4 {
5 "awaiting_quantity": 0,
6 "committed_quantity": 0,
7 "fulfillable_quantity": 0,
8 "internal_transfer_quantity": 0,
9 "location_id": 0,
10 "name": "string",
11 "on_hand_quantity": 0
12 }
13 ],
14 "name": "string",
15 "sku": "string"
16}
Retrieves inventory levels for a specific inventory item broken down by fulfillment center location. Shows quantity breakdowns for each location where the inventory is stored.
Was this page helpful?
Previous

Get All Inventory Levels

Next

Get Inventory Levels Grouped By Lot

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

inventoryIdintegerRequired

Unique identifier for the inventory item to retrieve location-grouped quantity levels for. Use this to see inventory breakdown by fulfillment center.

Response

OK
inventory_idinteger
Unique identifier for the inventory item
locationslist of objects
List of fulfillment centers and their respective inventory quantities
namestring
Name of the inventory item
skustring
Stock keeping unit identifier

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error